Bug 1949491 - [abrt] fwupd: g_propagate_error(): fwupd killed by SIGSEGV
Summary: [abrt] fwupd: g_propagate_error(): fwupd killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fwupd
Version: 34
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:66260e8c596f383a765eb64a644...
: 1949808 1949833 1950564 1950565 1950650 1951669 1953153 1953822 1954104 1961188 1962015 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-14 12:22 UTC by Andrew Thurman
Modified: 2021-06-29 13:00 UTC (History)
12 users (show)

Fixed In Version: fwupd-1.5.9-2.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-24 20:15:45 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (41.29 KB, text/plain)
2021-04-14 12:22 UTC, Andrew Thurman
no flags Details
File: core_backtrace (15.67 KB, text/plain)
2021-04-14 12:22 UTC, Andrew Thurman
no flags Details
File: cpuinfo (2.43 KB, text/plain)
2021-04-14 12:22 UTC, Andrew Thurman
no flags Details
File: dso_list (482 bytes, text/plain)
2021-04-14 12:22 UTC, Andrew Thurman
no flags Details
File: environ (368 bytes, text/plain)
2021-04-14 12:22 UTC, Andrew Thurman
no flags Details
File: exploitable (82 bytes, text/plain)
2021-04-14 12:22 UTC, Andrew Thurman
no flags Details
File: limits (1.29 KB, text/plain)
2021-04-14 12:22 UTC, Andrew Thurman
no flags Details
File: maps (3.89 KB, text/plain)
2021-04-14 12:22 UTC, Andrew Thurman
no flags Details
File: mountinfo (3.91 KB, text/plain)
2021-04-14 12:22 UTC, Andrew Thurman
no flags Details
File: open_fds (2.82 KB, text/plain)
2021-04-14 12:22 UTC, Andrew Thurman
no flags Details
File: proc_pid_status (1.36 KB, text/plain)
2021-04-14 12:22 UTC, Andrew Thurman
no flags Details
File: var_log_messages (165 bytes, text/plain)
2021-04-14 12:22 UTC, Andrew Thurman
no flags Details
Patched RPM (2.85 MB, patch)
2021-04-14 19:37 UTC, Andrew Thurman
no flags Details | Diff
dnf update log post fc33 patch (5.99 KB, text/plain)
2021-04-25 19:39 UTC, Colin Barker
no flags Details
problem details post fc33 patch (11.58 KB, text/plain)
2021-04-25 20:02 UTC, Colin Barker
no flags Details
post latest fc33 patch fwupd verbose log (27.36 KB, text/plain)
2021-04-25 21:27 UTC, Colin Barker
no flags Details
post latest fc33 patch fwupd journalctl (22.01 KB, text/plain)
2021-04-26 21:10 UTC, Colin Barker
no flags Details
post latest fc33 patch gdb fwupdate log (35.24 KB, text/plain)
2021-04-26 21:42 UTC, Colin Barker
no flags Details

Description Andrew Thurman 2021-04-14 12:22:32 UTC
Version-Release number of selected component:
fwupd-1.5.9-1.fc34

Additional info:
reporter:       libreport-2.14.0
backtrace_rating: 4
cgroup:         0::/system.slice/fwupd.service
cmdline:        /usr/libexec/fwupd/fwupd
crash_function: g_propagate_error
executable:     /usr/libexec/fwupd/fwupd
journald_cursor: s=6b8b1bad488b4b0c82479e1432cafb8f;i=55ccb9;b=8be16300d410410d8101b52b2e255c54;m=ca48143;t=5bfeccbbcb729;x=fc1e466f9d525204
kernel:         5.11.13-300.fc34.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 g_propagate_error at ../glib/gerror.c:1024
 #1 g_task_propagate_error at ../gio/gtask.c:1657
 #2 g_task_propagate_boolean at ../gio/gtask.c:1847
 #3 g_async_initable_new_finish at ../gio/gasyncinitable.c:460
 #4 g_dbus_object_manager_client_new_for_bus_finish at ../gio/gdbusobjectmanagerclient.c:887
 #5 fu_bluez_backend_connect_cb at ../src/fu-bluez-backend.c:143
 #6 g_task_return_now at ../gio/gtask.c:1219
 #7 complete_in_idle_cb at ../gio/gtask.c:1233
 #11 g_main_context_iterate.constprop.0 at ../glib/gmain.c:4131

Comment 1 Andrew Thurman 2021-04-14 12:22:35 UTC
Created attachment 1771886 [details]
File: backtrace

Comment 2 Andrew Thurman 2021-04-14 12:22:36 UTC
Created attachment 1771887 [details]
File: core_backtrace

Comment 3 Andrew Thurman 2021-04-14 12:22:37 UTC
Created attachment 1771888 [details]
File: cpuinfo

Comment 4 Andrew Thurman 2021-04-14 12:22:39 UTC
Created attachment 1771889 [details]
File: dso_list

Comment 5 Andrew Thurman 2021-04-14 12:22:40 UTC
Created attachment 1771890 [details]
File: environ

Comment 6 Andrew Thurman 2021-04-14 12:22:41 UTC
Created attachment 1771891 [details]
File: exploitable

Comment 7 Andrew Thurman 2021-04-14 12:22:41 UTC
Created attachment 1771892 [details]
File: limits

Comment 8 Andrew Thurman 2021-04-14 12:22:42 UTC
Created attachment 1771893 [details]
File: maps

Comment 9 Andrew Thurman 2021-04-14 12:22:43 UTC
Created attachment 1771894 [details]
File: mountinfo

Comment 10 Andrew Thurman 2021-04-14 12:22:44 UTC
Created attachment 1771895 [details]
File: open_fds

Comment 11 Andrew Thurman 2021-04-14 12:22:45 UTC
Created attachment 1771896 [details]
File: proc_pid_status

Comment 12 Andrew Thurman 2021-04-14 12:22:46 UTC
Created attachment 1771897 [details]
File: var_log_messages

Comment 13 Richard Hughes 2021-04-14 14:19:22 UTC
Can you attach the full output of "sudo /usr/libexec/fwupd/fwupd --verbose" please.

Comment 14 Andrew Thurman 2021-04-14 16:10:09 UTC
```
16:09:10:0246 FuDebug              Verbose debugging enabled (on console 1)
16:09:10:0246 FuConfig             loading config values from /etc/fwupd/daemon.conf
16:09:10:0246 FuConfig             using autodetected max archive size 18.4 EB
16:09:10:0246 FuRemoteList         loading /usr/share/fwupd/metainfo
16:09:10:0247 XbSilo               attempting to load /var/cache/fwupd/metainfo.xmlb
16:09:10:0247 XbSilo               file: 2e860708-e1df-bfe2-6359-4070bf1d7e84, current:2e860708-e1df-bfe2-6359-4070bf1d7e84, cached: (null)
16:09:10:0247 XbSilo               loading silo with file contents
16:09:10:0247 FuRemoteList         loading remote from /etc/fwupd/remotes.d/dell-esrt.conf
16:09:10:0247 FuRemoteList         loading remote from /etc/fwupd/remotes.d/lvfs-testing.conf
16:09:10:0247 FuRemoteList         loading remote from /etc/fwupd/remotes.d/lvfs.conf
16:09:10:0248 FuRemoteList         loading remote from /etc/fwupd/remotes.d/vendor-directory.conf
16:09:10:0248 FuRemoteList         loading remote from /etc/fwupd/remotes.d/vendor.conf
16:09:10:0248 FuRemoteList         ordering lvfs-testing=lvfs+1
16:09:10:0248 FuRemoteList         ignoring unfound remote fwupd
16:09:10:0248 Jcat                 ignoring GPG-KEY-Linux-Foundation-Firmware as not PKCS-7 certificate
16:09:10:0248 Jcat                 ignoring GPG-KEY-Linux-Vendor-Firmware-Service as not PKCS-7 certificate
16:09:10:0248 Jcat                 trying to load certificate from /etc/pki/fwupd/LVFS-CA.pem
16:09:10:0248 Jcat                 reading /etc/pki/fwupd/LVFS-CA.pem with 1679 bytes
16:09:10:0248 Jcat                 loaded 1 certificates
16:09:10:0248 Jcat                 ignoring GPG-KEY-Linux-Foundation-Metadata as not PKCS-7 certificate
16:09:10:0248 Jcat                 ignoring GPG-KEY-Linux-Vendor-Firmware-Service as not PKCS-7 certificate
16:09:10:0248 Jcat                 trying to load certificate from /etc/pki/fwupd-metadata/LVFS-CA.pem
16:09:10:0248 Jcat                 reading /etc/pki/fwupd-metadata/LVFS-CA.pem with 1679 bytes
16:09:10:0248 Jcat                 loaded 1 certificates
16:09:10:0248 Jcat                 reading /var/lib/fwupd/pki/secret.key with 2455 bytes
16:09:10:0248 Jcat                 reading /var/lib/fwupd/pki/client.pem with 1383 bytes
16:09:10:0256 FuEngine             client certificate exists and working
16:09:10:0256 FuHistory            trying to open database '/var/lib/fwupd/pending.db'
16:09:10:0256 FuHistory            got schema version of 6
16:09:10:0256 FuIdle               setting timeout to 7200s
16:09:10:0256 FuHwids              smbios property Manufacturer=System manufacturer
16:09:10:0256 FuHwids              smbios property EnclosureKind=3
16:09:10:0256 FuHwids              smbios property Family=To be filled by O.E.M.
16:09:10:0256 FuHwids              smbios property ProductName=System Product Name
16:09:10:0256 FuHwids              smbios property ProductSku=SKU
16:09:10:0256 FuHwids              smbios property BiosVendor=American Megatrends Inc.
16:09:10:0256 FuHwids              smbios property BiosVersion=3103
16:09:10:0257 FuHwids              smbios property BiosMajorRelease=05
16:09:10:0257 FuHwids              smbios property BiosMinorRelease=0d
16:09:10:0257 FuHwids              smbios property BaseboardManufacturer=ASUSTeK COMPUTER INC.
16:09:10:0257 FuHwids              smbios property BaseboardProduct=ROG STRIX B450-F GAMING
16:09:10:0257 XbSilo               attempting to load /var/cache/fwupd/metadata.xmlb
16:09:10:0257 XbSilo               file: 3421f589-fe24-1511-669e-d5f5b42ded10, current:3421f589-fe24-1511-669e-d5f5b42ded10, cached: (null)
16:09:10:0257 XbSilo               loading silo with file contents
16:09:10:0258 FuEngine             541 components now in silo
16:09:11:0767 FuEngine             failed to setup backend bluez: failed to connect to Bluez after 1500ms
16:09:11:0767 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_acpi_dmar.so)
16:09:11:0768 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_acpi_facp.so)
16:09:11:0768 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_altos.so)
16:09:11:0769 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_amt.so)
16:09:11:0769 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_ata.so)
16:09:11:0769 FuPlugin             added udev subsystem watch of block
16:09:11:0770 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_bcm57xx.so)
16:09:11:0770 FuPlugin             added udev subsystem watch of pci
16:09:11:0770 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_bios.so)
16:09:11:0771 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_ccgx.so)
16:09:11:0772 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_colorhug.so)
16:09:11:0772 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_cpu.so)
16:09:11:0773 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_cros_ec.so)
16:09:11:0775 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_dell.so)
16:09:11:0775 FuPluginDell         Using libsmbios 2.4
16:09:11:0775 GLib                 setenv()/putenv() are not thread-safe and should not be used after threads are created
16:09:11:0775 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_dell_dock.so)
16:09:11:0776 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_dell_esrt.so)
16:09:11:0777 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_dfu.so)
16:09:11:0777 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_dfu_csr.so)
16:09:11:0778 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_ebitdo.so)
16:09:11:0778 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_elantp.so)
16:09:11:0778 FuPlugin             added udev subsystem watch of i2c-dev
16:09:11:0778 FuPlugin             added udev subsystem watch of hidraw
16:09:11:0779 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_emmc.so)
16:09:11:0779 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_ep963x.so)
16:09:11:0780 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_fastboot.so)
16:09:11:0781 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_flashrom.so)
16:09:11:0782 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_fresco_pd.so)
16:09:11:0782 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_goodixmoc.so)
16:09:11:0783 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_hailuck.so)
16:09:11:0783 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_iommu.so)
16:09:11:0783 FuPlugin             added udev subsystem watch of iommu
16:09:11:0784 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_jabra.so)
16:09:11:0784 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_linux_lockdown.so)
16:09:11:0785 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_linux_sleep.so)
16:09:11:0785 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_linux_swap.so)
16:09:11:0785 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_linux_tainted.so)
16:09:11:0786 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_logind.so)
16:09:11:0786 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_logitech_hidpp.so)
16:09:11:0792 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_modem_manager.so)
16:09:11:0792 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_msr.so)
16:09:11:0792 FuPlugin             added udev subsystem watch of msr
16:09:11:0793 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_nitrokey.so)
16:09:11:0793 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_nvme.so)
16:09:11:0793 FuPlugin             added udev subsystem watch of nvme
16:09:11:0794 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_optionrom.so)
16:09:11:0794 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_pci_bcr.so)
16:09:11:0795 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_pci_mei.so)
16:09:11:0795 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_pixart_rf.so)
16:09:11:0796 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_redfish.so)
16:09:11:0797 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_rts54hid.so)
16:09:11:0798 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_rts54hub.so)
16:09:11:0799 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_solokey.so)
16:09:11:0799 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_steelseries.so)
16:09:11:0800 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_superio.so)
16:09:11:0800 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_cxaudio.so)
16:09:11:0801 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_mst.so)
16:09:11:0801 FuPlugin             added udev subsystem watch of drm
16:09:11:0801 FuPlugin             added udev subsystem watch of drm_dp_aux_dev
16:09:11:0801 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_prometheus.so)
16:09:11:0802 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_rmi.so)
16:09:11:0802 FuPlugin             added udev subsystem watch of serio
16:09:11:0802 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_system76_launch.so)
16:09:11:0803 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_thelio_io.so)
16:09:11:0803 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_thunderbolt.so)
16:09:11:0803 FuPlugin             added udev subsystem watch of thunderbolt
16:09:11:0804 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_tpm.so)
16:09:11:0804 FuPlugin             added udev subsystem watch of tpm
16:09:11:0804 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_tpm_eventlog.so)
16:09:11:0806 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_uefi_capsule.so)
16:09:11:0806 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_uefi_dbx.so)
16:09:11:0807 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_uefi_pk.so)
16:09:11:0807 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_uefi_recovery.so)
16:09:11:0808 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_upower.so)
16:09:11:0808 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_vli.so)
16:09:11:0809 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_wacom_raw.so)
16:09:11:0809 FuPlugin             init(/usr/lib64/fwupd-plugins-3/libfu_plugin_wacom_usb.so)
16:09:11:0809 FuEngine             plugins disabled: invalid, test, test_ble
16:09:11:0809 FuPluginList         dell [0] to be ordered after uefi_capsule [0] so promoting to [1]
16:09:11:0809 FuPluginList         tpm_eventlog [0] to be ordered after tpm [0] so promoting to [1]
16:09:11:0809 FuPluginList         uefi_capsule [0] to be ordered after upower [0] so promoting to [1]
16:09:11:0809 FuPluginList         dell [1] to be ordered after uefi_capsule [1] so promoting to [2]
16:09:11:0809 FuPluginList         uefi_recovery [0] to be ordered after uefi_capsule [1] so promoting to [2]
16:09:11:0809 FuPluginList         cpu [0] to be ordered before msr [0] so promoting to [1]
16:09:11:0809 FuPluginList         tpm_eventlog [1] to be ordered before uefi_capsule [1] so promoting to [2]
16:09:11:0809 FuPluginList         dell [2] to be ordered after uefi_capsule [2] so promoting to [3]
16:09:11:0809 FuPluginList         uefi_recovery [2] to be ordered after uefi_capsule [2] so promoting to [3]
16:09:11:0810 FuPluginList         bcm57xx [0] better than optionrom [0] so bumping to [1]
16:09:11:0810 FuPluginList         dell [0] better than tpm [0] so bumping to [1]
16:09:11:0810 FuPluginList         dell_dock [0] better than synaptics_mst [0] so bumping to [1]
16:09:11:0810 FuPluginList         dell_esrt [0] better than bios [0] so bumping to [1]
16:09:11:0810 FuPluginList         thunderbolt [0] better than dell_dock [1] so bumping to [2]
16:09:11:0814 XbSilo               attempting to load /var/cache/fwupd/quirks.xmlb
16:09:11:0814 XbSilo               file: 5e379484-3b0e-c1f8-a200-c629b8dc473e, current:5e379484-3b0e-c1f8-a200-c629b8dc473e, cached: (null)
16:09:11:0814 XbSilo               loading silo with file contents
16:09:11:0820 FuEngine             Emitting PropertyChanged('Status'='loading')
16:09:11:0820 FuMain               Emitting PropertyChanged('Status'='loading')
16:09:11:0821 FuPlugin             startup(bios)
16:09:11:0821 FuPlugin             startup(dell_esrt)
16:09:11:0821 FuEngine             disabling plugin because: failed to startup using dell_esrt: UEFI firmware already supported
16:09:11:0821 FuEngine             disabling plugin flashrom because no HwId
16:09:11:0821 FuPlugin             startup(linux_lockdown)
16:09:11:0821 FuPlugin             startup(linux_swap)
16:09:11:0821 FuPlugin             startup(linux_tainted)
16:09:11:0821 FuPlugin             startup(logind)
16:09:11:0821 FuPlugin             startup(logitech_hidpp)
16:09:11:0821 FuPlugin             startup(modem_manager)
16:09:11:0823 FuPlugin             startup(redfish)
16:09:11:0823 FuEngine             disabling plugin because: failed to startup using redfish: no SMBIOS table
16:09:11:0823 FuPlugin             startup(synaptics_mst)
16:09:11:0823 FuEngine             disabling plugin because: failed to startup using synaptics_mst: amdgpu has known issues with synaptics_mst
16:09:11:0823 FuPlugin             startup(thunderbolt)
16:09:11:0823 FuPluginThunderbolt  Using kernel 5.11.13-300.fc34.x86_64 (minimum 4.13.0)
16:09:11:0823 FuPlugin             startup(upower)
16:09:11:0826 FuPlugin             startup(msr)
16:09:11:0826 FuPlugin             startup(uefi_capsule)
16:09:11:0837 FuPlugin             startup(dell)
16:09:11:0837 FuEngine             disabling plugin because: failed to startup using dell: Firmware updating not supported
16:09:11:0837 FuEngine             disabling plugin uefi_recovery because no HwId
16:09:11:0838 FuPlugin             coldplug(amt)
16:09:11:0838 FuEngine             disabling plugin because: failed to coldplug using amt: Unable to find a ME interface
16:09:11:0838 FuPlugin             coldplug(bios)
16:09:11:0838 FuPlugin             coldplug(cpu)
16:09:11:0839 FuDevice             using 4bde70ba4e39b28f9eab1628f9dd6e6244c03027 for cpu:0
16:09:11:0839 FuPlugin             emit added from cpu: 4bde70ba4e39b28f9eab1628f9dd6e6244c03027
16:09:11:0844 FuPlugin             fu_plugin_device_registered(dell_dock)
16:09:11:0844 FuPlugin             fu_plugin_device_registered(pci_bcr)
16:09:11:0844 FuPlugin             fu_plugin_device_registered(thunderbolt)
16:09:11:0844 FuPlugin             fu_plugin_device_registered(msr)
16:09:11:0844 FuPlugin             fu_plugin_device_registered(tpm_eventlog)
16:09:11:0844 FuPlugin             fu_plugin_device_registered(uefi_capsule)
16:09:11:0844 FuDeviceList         ::added 4bde70ba4e39b28f9eab1628f9dd6e6244c03027
16:09:11:0844 FuPlugin             coldplug(modem_manager)
16:09:11:0845 FuPluginMm           ModemManager 1.14.10-2.fc34 is available
16:09:11:0845 FuPlugin             coldplug(superio)
16:09:11:0851 FuPlugin             coldplug(uefi_dbx)
16:09:11:0851 FuDevice             using 230c8b18-8d9b-53ec-838b-6cfc0383493a for main-system-firmware
16:09:11:0851 FuEngine             disabling plugin because: failed to coldplug using uefi_dbx: Error opening file /sys/firmware/efi/efivars/KEK-8be4df61-93ca-11d2-aa0d-00e098032b8c: No such file or directory
16:09:11:0851 FuPlugin             coldplug(uefi_pk)
16:09:11:0851 FuEngine             disabling plugin because: failed to coldplug using uefi_pk: Error opening file /sys/firmware/efi/efivars/PK-8be4df61-93ca-11d2-aa0d-00e098032b8c: No such file or directory
16:09:11:0851 FuPlugin             coldplug(tpm_eventlog)
16:09:11:0851 FuEngine             disabling plugin because: failed to coldplug using tpm_eventlog: Failed to open file “/sys/kernel/security/tpm0/binary_bios_measurements”: No such file or directory
16:09:11:0851 FuPlugin             coldplug(uefi_capsule)
16:09:11:0865 FuCommon             device /org/freedesktop/UDisks2/block_devices/sdb1, type: 0fc63daf-8483-4772-8e79-3d69d8477de4, internal: 1, fs: btrfs
16:09:11:0867 FuCommon             device /org/freedesktop/UDisks2/block_devices/sda3, type: 0fc63daf-8483-4772-8e79-3d69d8477de4, internal: 1, fs: btrfs
16:09:11:0871 FuCommon             device /org/freedesktop/UDisks2/block_devices/sda2, type: 0fc63daf-8483-4772-8e79-3d69d8477de4, internal: 1, fs: ext4
16:09:11:0874 FuCommon             device /org/freedesktop/UDisks2/block_devices/sda1, type: c12a7328-f81f-11d2-ba4b-00a0c93ec93b, internal: 1, fs: vfat
16:09:11:0876 FuDevice             using 8125877552005f0bc6d3884fb372fe20cdc25925 for UEFI-9b3d3e13-cbbf-5166-8474-d8ec4570f24b-dev0
16:09:11:0877 GLib                 setenv()/putenv() are not thread-safe and should not be used after threads are created
ERROR:esys:src/tss2-esys/esys_context.c:69:Esys_Initialize() Initialize default tcti. ErrorCode (0x000a000a) 
16:09:11:0879 FuPluginUefiCapsule  failed to initialize TPM library
16:09:11:0885 FuPlugin             emit added from uefi_capsule: 8125877552005f0bc6d3884fb372fe20cdc25925
16:09:11:0889 FuPlugin             fu_plugin_device_registered(dell_dock)
16:09:11:0889 FuPlugin             fu_plugin_device_registered(pci_bcr)
16:09:11:0889 FuPlugin             fu_plugin_device_registered(thunderbolt)
16:09:11:0889 FuPlugin             fu_plugin_device_registered(msr)
16:09:11:0889 FuPlugin             fu_plugin_device_registered(uefi_capsule)
16:09:11:0889 FuDeviceList         ::added 8125877552005f0bc6d3884fb372fe20cdc25925
16:09:11:0891 FuPluginUefiCapsule  UX Capsule support : Enabled
16:09:11:0892 FuEngine             using plugins: acpi_dmar, acpi_facp, altos, ata, bcm57xx, ccgx, colorhug, cpu, cros_ec, dell_dock, dfu, dfu_csr, ebitdo, elantp, emmc, ep963x, fastboot, fresco_pd, goodixmoc, hailuck, iommu, jabra, linux_lockdown, linux_sleep, linux_swap, linux_tainted, logind, logitech_hidpp, modem_manager, nitrokey, nvme, optionrom, pci_bcr, pci_mei, pixart_rf, rts54hid, rts54hub, solokey, steelseries, superio, synaptics_cxaudio, synaptics_prometheus, synaptics_rmi, system76_launch, thelio_io, thunderbolt, tpm, upower, vli, wacom_raw, wacom_usb, msr, uefi_capsule
16:09:11:0931 FuDevice             using 9afcd7db8643d511ee389321038ae4c56c7a45f3 for DEVPATH=/devices/pci0000:00/0000:00:01.3/0000:01:00.1/ata1/host0/target0:0:0/0:0:0:0
16:09:11:0933 FuPluginAta          invalid component ID, skipping
16:09:11:0934 FuPlugin             emit added from ata: 9afcd7db8643d511ee389321038ae4c56c7a45f3
16:09:11:0936 FuPlugin             fu_plugin_device_registered(dell_dock)
16:09:11:0936 FuPlugin             fu_plugin_device_registered(pci_bcr)
16:09:11:0936 FuPlugin             fu_plugin_device_registered(thunderbolt)
16:09:11:0936 FuPlugin             fu_plugin_device_registered(msr)
16:09:11:0936 FuPlugin             fu_plugin_device_registered(uefi_capsule)
16:09:11:0936 FuDeviceList         ::added 9afcd7db8643d511ee389321038ae4c56c7a45f3
16:09:11:0940 FuDevice             using d8081482e11927bdb8571531b919d11ccaedb090 for DEVPATH=/devices/pci0000:00/0000:00:08.1/0000:0c:00.2/ata11/host10/target10:0:0/10:0:0:0
16:09:11:0941 FuPluginAta          invalid component ID, skipping
16:09:11:0942 FuPlugin             emit added from ata: d8081482e11927bdb8571531b919d11ccaedb090
16:09:11:0944 FuPlugin             fu_plugin_device_registered(dell_dock)
16:09:11:0944 FuPlugin             fu_plugin_device_registered(pci_bcr)
16:09:11:0944 FuPlugin             fu_plugin_device_registered(thunderbolt)
16:09:11:0944 FuPlugin             fu_plugin_device_registered(msr)
16:09:11:0944 FuPlugin             fu_plugin_device_registered(uefi_capsule)
16:09:11:0944 FuDeviceList         ::added d8081482e11927bdb8571531b919d11ccaedb090
16:09:11:0971 FuDevice             using 7d29f2075dcafb4488b40c73f199cf46bb76bddb for PCI_SLOT_NAME=0000:01:00.1:rom
16:09:11:0971 FuPlugin             emit added from optionrom: 7d29f2075dcafb4488b40c73f199cf46bb76bddb
16:09:11:0974 FuPlugin             fu_plugin_device_registered(dell_dock)
16:09:11:0974 FuPlugin             fu_plugin_device_registered(pci_bcr)
16:09:11:0974 FuPlugin             fu_plugin_device_registered(thunderbolt)
16:09:11:0974 FuPlugin             fu_plugin_device_registered(msr)
16:09:11:0974 FuPlugin             fu_plugin_device_registered(uefi_capsule)
16:09:11:0974 FuDeviceList         ::added 7d29f2075dcafb4488b40c73f199cf46bb76bddb
16:09:12:0022 FuDevice             using d05d536fa7bd6811a229e6b6e896497fa3cf1084 for PCI_SLOT_NAME=0000:0a:00.0:rom
16:09:12:0022 FuPlugin             emit added from optionrom: d05d536fa7bd6811a229e6b6e896497fa3cf1084
16:09:12:0025 FuPlugin             fu_plugin_device_registered(dell_dock)
16:09:12:0025 FuPlugin             fu_plugin_device_registered(pci_bcr)
16:09:12:0025 FuPlugin             fu_plugin_device_registered(thunderbolt)
16:09:12:0025 FuPlugin             fu_plugin_device_registered(msr)
16:09:12:0025 FuPlugin             fu_plugin_device_registered(uefi_capsule)
16:09:12:0025 FuDeviceList         ::added d05d536fa7bd6811a229e6b6e896497fa3cf1084
16:09:12:0096 FuDevice             using 279ed287-3607-549e-bacc-f873bb9838c4 for HIDRAW\VEN_046D&DEV_C52B
16:09:12:0100 FuPlugin             35bcb345-581d-5a57-817f-323e80cdbfb4,55a195c2-e879-543a-b8ee-789181766f0f,a93a1fb4-ea56-51ea-b729-c50fa5a25b3d has no updates, so ignoring device
16:09:12:0101 FuDevice             using 279ed287-3607-549e-bacc-f873bb9838c4 for HIDRAW\VEN_046D&DEV_C52B
16:09:12:0104 FuPlugin             35bcb345-581d-5a57-817f-323e80cdbfb4,55a195c2-e879-543a-b8ee-789181766f0f,a93a1fb4-ea56-51ea-b729-c50fa5a25b3d has no updates, so ignoring device
16:09:12:0106 FuDevice             using 279ed287-3607-549e-bacc-f873bb9838c4 for HIDRAW\VEN_046D&DEV_C52B
16:09:12:0109 FuPlugin             35bcb345-581d-5a57-817f-323e80cdbfb4,55a195c2-e879-543a-b8ee-789181766f0f,a93a1fb4-ea56-51ea-b729-c50fa5a25b3d has no updates, so ignoring device
16:09:12:0112 FuPlugin             backend_device_added(iommu)
16:09:12:0112 FuPlugin             backend_device_added(msr)
16:09:12:0112 FuDevice             using b7cdecd2f3449609e17d97d62dbc330fa800b77c for msr
16:09:12:0113 FuPluginMsr          MSR_K8_SYSCFG: sev_is_enabled=1
16:09:12:0113 FuPluginMsr          IA32_BIOS_SIGN_ID:0d 82 00 08 00 00 00 00 
16:09:12:0113 FuPlugin             backend_device_added(msr)
16:09:12:0113 FuPlugin             backend_device_added(msr)
16:09:12:0113 FuPlugin             backend_device_added(msr)
16:09:12:0114 FuPlugin             backend_device_added(msr)
16:09:12:0114 FuPlugin             backend_device_added(msr)
16:09:12:0114 FuPlugin             backend_device_added(msr)
16:09:12:0115 FuPlugin             backend_device_added(msr)
16:09:12:0115 FuPlugin             backend_device_added(msr)
16:09:12:0115 FuPlugin             backend_device_added(msr)
16:09:12:0115 FuPlugin             backend_device_added(msr)
16:09:12:0116 FuPlugin             backend_device_added(msr)
16:09:12:0135 FuEngine             Emitting PropertyChanged('Status'='idle')
16:09:12:0135 FuMain               Emitting PropertyChanged('Status'='idle')
16:09:12:0135 FuCommon             creating path /var/cache/fwupd/motd.d
16:09:12:0135 GLib-GIO             Failed to initialize portal (GMemoryMonitorPortal) for gio-memory-monitor: Not using portals
16:09:12:0135 GLib-GIO             _g_io_module_get_default: Found default implementation dbus (GMemoryMonitorDBus) for ‘gio-memory-monitor’
16:09:12:0148 FuMain               Daemon ready for requests (locale en_US.UTF-8)
16:09:12:0149 FuMain               acquired name: org.freedesktop.fwupd
Segmentation fault
```

Comment 15 Richard Hughes 2021-04-14 16:42:35 UTC
And the output from "bluetoothctl list" please.

Comment 16 Richard Hughes 2021-04-14 17:06:19 UTC
I think https://github.com/fwupd/fwupd/pull/3144 is the fix for this. Would you be able to test that branch? If it's all a bit daunting, I can build a test rpm for you if that helps.

Comment 17 Andrew Thurman 2021-04-14 19:37:41 UTC
Created attachment 1771967 [details]
Patched RPM

I built an RPM locally, and it seems to have completely resolved the issue. Thanks for the timely response! Should I open a PR with the patch or do you want an alternative solution?

Comment 18 gregory vogts 2021-04-15 07:19:21 UTC
*** Bug 1949808 has been marked as a duplicate of this bug. ***

Comment 19 Richard Hughes 2021-04-15 07:34:37 UTC
> Should I open a PR with the patch or do you want an alternative solution?

If you can do a pull request for the Fedora Pagure thing without too much bother that would be great. Otherwise I can do this Monday.

Comment 20 Richard Hughes 2021-04-15 11:57:29 UTC
*** Bug 1949833 has been marked as a duplicate of this bug. ***

Comment 21 Bruno Porceli Alaniz 2021-04-16 22:26:41 UTC
*** Bug 1950564 has been marked as a duplicate of this bug. ***

Comment 22 Bruno Porceli Alaniz 2021-04-16 22:28:47 UTC
*** Bug 1950565 has been marked as a duplicate of this bug. ***

Comment 23 Fedora Update System 2021-04-18 08:29:24 UTC
FEDORA-2021-397e58b246 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-397e58b246

Comment 24 Fedora Update System 2021-04-18 17:05:18 UTC
FEDORA-2021-397e58b246 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-397e58b246`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-397e58b246

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 25 Richard Hughes 2021-04-19 14:58:06 UTC
*** Bug 1950650 has been marked as a duplicate of this bug. ***

Comment 26 Richard Hughes 2021-04-21 08:18:57 UTC
*** Bug 1951669 has been marked as a duplicate of this bug. ***

Comment 27 Tom Porter 2021-04-23 11:33:24 UTC
Will this be fixed for F33 as well? The latest updated update to fwupd.1.5.9-1.fc33 produces the same 'fwupd killed by SIGSEGV' in g_propagate_error.

Comment 28 Richard Hughes 2021-04-23 13:52:04 UTC
F33 build done too https://bodhi.fedoraproject.org/updates/FEDORA-2021-25a414fb4e -- thanks for the reminder

Comment 29 phnevsa 2021-04-24 07:38:08 UTC
*** Bug 1953153 has been marked as a duplicate of this bug. ***

Comment 30 Fedora Update System 2021-04-24 20:15:45 UTC
FEDORA-2021-397e58b246 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 31 Colin Barker 2021-04-25 19:39:52 UTC
Created attachment 1775298 [details]
dnf update log post fc33 patch

Comment 32 Colin Barker 2021-04-25 20:02:56 UTC
Created attachment 1775299 [details]
problem details post fc33 patch

Comment 33 Colin Barker 2021-04-25 20:18:11 UTC
Problem still appears to persist post latest fc33 patch update.
problem details and dnf update logs attached.
'dmesg' and 'journalctl --boot=-0' can be uploaded if required.

Comment 34 Colin Barker 2021-04-25 21:27:56 UTC
Created attachment 1775336 [details]
post latest fc33 patch fwupd verbose log

post latest fc33 patch update log output attached for 
# /usr/libexec/fwupd/fwupd --verbose > fwupd.20210425200628.log 2>&1
Segmentation fault (core dumped)
#
-------
Appears to be looking for /sys/kernel/security/tpm0/binary_bios_measurements in wrong folder
-------
[root@copper ~]# ls -R /sys/kernel/security
/sys/kernel/security:
evm  ima  integrity  lockdown  lsm

/sys/kernel/security/integrity:
evm  ima

/sys/kernel/security/integrity/evm:
evm

/sys/kernel/security/integrity/ima:
ascii_runtime_measurements  binary_runtime_measurements  policy  runtime_measurements_count  violations

Appears to be looking for /sys/firmware/efi/esrt/entries in wrong folder. Does it mean /sys/firmware/efi/runtime-map ?

Comment 35 Richard Hughes 2021-04-26 09:39:25 UTC
Colin: /sys/kernel/security/tpm0/binary_bios_measurements is the right path. Please open a new bug if the new fwupd build still segfaults, with a backtrace please.

Comment 36 Colin Barker 2021-04-26 20:23:08 UTC
Has the latest fwupd been promoted to live for fc33?
Latest rpm
fwupd-1.5.9-1.fc33.x86_64

Latest debuginfo and debugsource are:
fwupd-debuginfo-1.5.9-2.fc33.x86_64
fwupd-debugsource-1.5.9-2.fc33.x86_64

-------
Will attempt to get debug stack trace, however for now stack trace extract from journalctl --boot=-0 follows.
Apr 22 17:04:55 copper.home systemd-coredump[162711]: Process 162493 (fwupd) of user 0 dumped core.
                                                      
                                                      Stack trace of thread 162493:
                                                      #0  0x00007fce3108e122 g_propagate_error (libglib-2.0.so.0 + 0x3e122)
                                                      #1  0x00007fce312939fb g_task_propagate_error (libgio-2.0.so.0 + 0xab9fb)
                                                      #2  0x00007fce31294a61 g_task_propagate_boolean (libgio-2.0.so.0 + 0xaca61)
                                                      #3  0x00007fce3122eaed g_async_initable_new_finish (libgio-2.0.so.0 + 0x46aed)
                                                      #4  0x00007fce3130940a g_dbus_object_manager_client_new_for_bus_finish (libgio-2.0.so.0 + 0x12140a)
                                                      #5  0x000055f63d56dd64 fu_bluez_backend_connect_cb (fwupd + 0x3bd64)
                                                      #6  0x00007fce312953da g_task_return_now (libgio-2.0.so.0 + 0xad3da)
                                                      #7  0x00007fce3129541d complete_in_idle_cb (libgio-2.0.so.0 + 0xad41d)
                                                      #8  0x00007fce310a2b5b g_idle_dispatch (libglib-2.0.so.0 + 0x52b5b)
                                                      #9  0x00007fce310a3a9f g_main_context_dispatch (libglib-2.0.so.0 + 0x53a9f)
                                                      #10 0x00007fce310f5a98 g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0xa5a98)
                                                      #11 0x00007fce310a3163 g_main_loop_run (libglib-2.0.so.0 + 0x53163)
                                                      #12 0x000055f63d54bba3 main (fwupd + 0x19ba3)
                                                      #13 0x00007fce30cd81e2 __libc_start_main (libc.so.6 + 0x281e2)
                                                      #14 0x000055f63d54bf5e _start (fwupd + 0x19f5e)
                                                      
                                                      Stack trace of thread 162498:
                                                      #0  0x00007fce30da6a5f __poll (libc.so.6 + 0xf6a5f)
                                                      #1  0x00007fce310f5a36 g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0xa5a36)
                                                      #2  0x00007fce310a3163 g_main_loop_run (libglib-2.0.so.0 + 0x53163)
                                                      #3  0x00007fce312f801a gdbus_shared_thread_func.lto_priv.0 (libgio-2.0.so.0 + 0x11001a)
                                                      #4  0x00007fce310d1402 g_thread_proxy (libglib-2.0.so.0 + 0x81402)
                                                      #5  0x00007fce30bc13f9 start_thread (libpthread.so.0 + 0x93f9)
                                                      #6  0x00007fce30db1b53 __clone (libc.so.6 + 0x101b53)
                                                      
                                                      Stack trace of thread 162495:
                                                      #0  0x00007fce30da6a5f __poll (libc.so.6 + 0xf6a5f)
                                                      #1  0x00007fce3035499d linux_udev_event_thread_main (libusb-1.0.so.0 + 0xc99d)
                                                      #2  0x00007fce30bc13f9 start_thread (libpthread.so.0 + 0x93f9)
                                                      #3  0x00007fce30db1b53 __clone (libc.so.6 + 0x101b53)
                                                      
                                                      Stack trace of thread 162494:
                                                      #0  0x00007fce30da6a5f __poll (libc.so.6 + 0xf6a5f)
                                                      #1  0x00007fce310f5a36 g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0xa5a36)
                                                      #2  0x00007fce310a0e73 g_main_context_iteration (libglib-2.0.so.0 + 0x50e73)
                                                      #3  0x00007fce310a2a91 glib_worker_main (libglib-2.0.so.0 + 0x52a91)
                                                      #4  0x00007fce310d1402 g_thread_proxy (libglib-2.0.so.0 + 0x81402)
                                                      #5  0x00007fce30bc13f9 start_thread (libpthread.so.0 + 0x93f9)
                                                      #6  0x00007fce30db1b53 __clone (libc.so.6 + 0x101b53)
                                                      
                                                      Stack trace of thread 162497:
                                                      #0  0x00007fce30dac55d syscall (libc.so.6 + 0xfc55d)
                                                      #1  0x00007fce310f050c g_cond_wait_until (libglib-2.0.so.0 + 0xa050c)
                                                      #2  0x00007fce31074081 g_async_queue_pop_intern_unlocked (libglib-2.0.so.0 + 0x24081)
                                                      #3  0x00007fce310d40fa g_thread_pool_thread_proxy.lto_priv.0 (libglib-2.0.so.0 + 0x840fa)
                                                      #4  0x00007fce310d1402 g_thread_proxy (libglib-2.0.so.0 + 0x81402)
                                                      #5  0x00007fce30bc13f9 start_thread (libpthread.so.0 + 0x93f9)
                                                      #6  0x00007fce30db1b53 __clone (libc.so.6 + 0x101b53)
                                                      
                                                      Stack trace of thread 162496:
                                                      #0  0x00007fce30da6a5f __poll (libc.so.6 + 0xf6a5f)
                                                      #1  0x00007fce30357602 handle_events (libusb-1.0.so.0 + 0xf602)
                                                      #2  0x00007fce30358e37 libusb_handle_events_timeout_completed (libusb-1.0.so.0 + 0x10e37)
                                                      #3  0x00007fce30ec708e g_usb_context_event_thread_cb (libgusb.so.2 + 0x708e)
                                                      #4  0x00007fce310d1402 g_thread_proxy (libglib-2.0.so.0 + 0x81402)
                                                      #5  0x00007fce30bc13f9 start_thread (libpthread.so.0 + 0x93f9)
                                                      #6  0x00007fce30db1b53 __clone (libc.so.6 + 0x101b53)
Apr 22 17:04:55 copper.home systemd[1]: systemd-coredump@2-162710-0.service: Succeeded.

Comment 37 Colin Barker 2021-04-26 20:40:51 UTC
(In reply to Colin Barker from comment #36)
> Has the latest fwupd been promoted to live for fc33?
> Latest rpm
> fwupd-1.5.9-1.fc33.x86_64
> 
> Latest debuginfo and debugsource are:
> fwupd-debuginfo-1.5.9-2.fc33.x86_64
> fwupd-debugsource-1.5.9-2.fc33.x86_64
> 
> -------
> Will attempt to get debug stack trace, however for now stack trace extract
Incorrect (old) stack trace provided. Will provide correct trace.

Comment 38 Colin Barker 2021-04-26 21:10:09 UTC
Created attachment 1775701 [details]
post latest fc33 patch fwupd journalctl

fwupd stack trace from journalctl - core dump repeating about every 12 hours.

Comment 39 Colin Barker 2021-04-26 21:42:30 UTC
Created attachment 1775724 [details]
post latest fc33 patch gdb fwupdate log

No later version of fwupd appears available from fc33 repo than
fwupd-1.5.9-1.fc33.x86_64
available debuginfo and debugsource are for fwupd-1.5.9-2.fc33.x86_64

Comment 40 Colin Barker 2021-04-26 22:11:24 UTC
Installed fc33 rpm for fwupd from https://bodhi.fedoraproject.org/updates/FEDORA-2021-25a414fb4e for fwupd-1.5.9-2.fc33.x86_64 (referenced above).

It has run without error (dbg log available but not uploaded).

Just seems update has not been pushed to live for fc33 yet.

Sorry to have bothered you.

Comment 41 Red Adaya 2021-04-27 03:42:56 UTC
*** Bug 1953822 has been marked as a duplicate of this bug. ***

Comment 42 Joerg Skottke 2021-04-27 15:26:09 UTC
*** Bug 1954104 has been marked as a duplicate of this bug. ***

Comment 43 Richard Hughes 2021-06-29 13:00:00 UTC
*** Bug 1962015 has been marked as a duplicate of this bug. ***

Comment 44 Richard Hughes 2021-06-29 13:00:07 UTC
*** Bug 1961188 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.